<template>
  <transition appear name="fade">
  <div @click="addSubject">
    <h3>{{ data.name }}</h3>
    <span>{{ data.code }}</span>
    <ul>
      <li>Fase {{ data.phase }}</li>
      <li>Semester: {{ data.semester }}</li>
      <li>stp: {{ data.credit }}</li>
    </ul>
  </div>
  </transition>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  name: 'SubjectCard',
  props: ['data'],
  data() {
    return {
    };
  },
  methods: {
    ...mapGetters('subjects', ['subjects']),
    ...mapGetters('subjects', ['chosenSubjects']),

    addSubject() {
      if (this.chosenSubjects().includes(this.data)) {
        this.chosenSubjects().splice(this.chosenSubjects().indexOf(this.data), 1);
      } else {
        this.$store.commit('subjects/addSubject', this.data);
      }
    },
  },
};
</script>

<style scoped lang="scss">

  div{
    font-family: 'Roboto', sans-serif;
    background-color: $custom_blue;
    color: #FFFFFF;
    width: 268px;
    height: 123px;
    padding: 20px;
    border-radius: 10px;

    ul{
      display: flex;
      justify-content: space-between;
      margin-top: 45px;

      li{
        list-style: none;
        font-size: 1.4em;
      }
    }
  }
  div:hover{
    transform: translate(-2px,-2px);
  }
  div:active{
    opacity: 0.8;
    transform: translate(0,0);
  }
  .active1, .disabled-click .subject{
    background-color: $custom_green;
  }

  h3, span{
    font-size: 1.8em;
    font-weight: 500;
    padding-bottom: 15px;
  }

</style>
